TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

OrthogonalizeGram ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> Return the result G obtained from orthogonalizing the Gram matrix F, together with a transformation matrix T such that G = T*X*T' and the rank of F. </shortdoc>

### Examples

M:=Matrix(Z,2,2,[4,-6,-6,15]); OrthogonalizeGram(M);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack